Upstream information

CVE-2015-8076 at MITRE

Description

The index_urlfetch function in index.c in Cyrus IMAP 2.3.x before 2.3.19, 2.4.x before 2.4.18, 2.5.x before 2.5.4 allows remote attackers to obtain sensitive information or possibly have unspecified other impact via vectors related to the urlfetch range, which triggers an out-of-bounds heap read.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 954200 [RESOLVED / FIXED], 954201 [RESOLVED / FIXED], 981670 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • cyrus-imapd >= 2.3.11-60.65.67.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.67.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.67.1
Patchnames:
slessp4-cyrus-imapd-12589
SUSE Linux Enterprise Server 12
  • cyrus-imapd >= 2.3.18-37.1
  • perl-Cyrus-IMAP >= 2.3.18-37.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-37.1
Patchnames:
SUSE-SLE-SERVER-12-2016-864
SUSE Linux Enterprise Server 12 SP1
  • cyrus-imapd >= 2.3.18-37.1
  • perl-Cyrus-IMAP >= 2.3.18-37.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-37.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-864
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • cyrus-imapd >= 2.3.11-60.65.67.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.67.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.67.1
Patchnames:
slessp4-cyrus-imapd-12589
SUSE Linux Enterprise Server for SAP Applications 12
  • cyrus-imapd >= 2.3.18-37.1
  • perl-Cyrus-IMAP >= 2.3.18-37.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-37.1
Patchnames:
SUSE-SLE-SERVER-12-2016-864
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • cyrus-imapd >= 2.3.18-37.1
  • perl-Cyrus-IMAP >= 2.3.18-37.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-37.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-864
SUSE Linux Enterprise Software Development Kit 11 SP4
  • cyrus-imapd >= 2.3.11-60.65.67.1
  • cyrus-imapd-devel >= 2.3.11-60.65.67.1
  • perl-Cyrus-IMAP >= 2.3.11-60.65.67.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.11-60.65.67.1
Patchnames:
sdksp4-cyrus-imapd-12589


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise SDK 11 SP3 cyrus-imapd Released
SUSE Linux Enterprise SDK 11 SP4 cyrus-imapd Released
SUSE Linux Enterprise Server 10 SP3 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP1 LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP2 LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP3 cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP3 LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 11 SP4 cyrus-imapd Released
SUSE Linux Enterprise Server 12 GA cyrus-imapd Released
SUSE Linux Enterprise Server 12 GA LTSS cyrus-imapd Released
SUSE Linux Enterprise Server 12 SP1 cyrus-imapd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise Server for VMWare 11 SP2 cyrus-imapd Released
SUSE Linux Enterprise Server for VMWare 11 SP3 cyrus-imapd Released